
#include <stdio.h>
#include <stdlib.h>
#include <glib.h>
#include <math.h>

int main(int argc, char *argv[])
{
    gint i, j, k, xcenter, ycenter, zcenter;
    gint xres = 200;
    gint yres = 200;
    gint zres = 200;
    gfloat value, distance, radius = 50;
   
    xcenter = xres/2;
    ycenter = yres/2;
    zcenter = zres/2;
 

    FILE *fw = fopen("gradedlayer.txt", "wb");

    //write header
    fwrite(&xres, sizeof(gint), 1, fw);
    fwrite(&yres, sizeof(gint), 1, fw);
    fwrite(&zres, sizeof(gint), 1, fw);

   

    //write epsilon
    for (i=0; i<xres; i++) {
       for (j=0; j<yres; j++) {
          for (k=0; k<zres; k++) {

               distance = sqrt((i-xcenter)*(i-xcenter) + (j-ycenter)*(j-ycenter) + (k-zcenter)*(k-zcenter));
               if (distance<40) {
                    value = 1 + 20.0/(1.0 + sqrt((i-xcenter)*(i-xcenter) + (j-ycenter)*(j-ycenter) + (k-zcenter)*(k-zcenter)));
               }
               else value = 1.0;
               fwrite(&value, sizeof(gfloat), 1, fw);
          }
       }
    }

    //write sigma
    for (i=0; i<xres; i++) {
       for (j=0; j<yres; j++) {
          for (k=0; k<zres; k++) {

               value = 0.0;
               fwrite(&value, sizeof(gfloat), 1, fw);
          }
       }
    }

    //write mu
    for (i=0; i<xres; i++) {
       for (j=0; j<yres; j++) {
          for (k=0; k<zres; k++) {

               value = 1.0;
               fwrite(&value, sizeof(gfloat), 1, fw);
          }
       }
    }

    //write sigast
    for (i=0; i<xres; i++) {
       for (j=0; j<yres; j++) {
          for (k=0; k<zres; k++) {

               value = 0.0;
              
               fwrite(&value, sizeof(gfloat), 1, fw);
          }
       }
    }


    fclose(fw);

    return 0;
}



